axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Simon Fell" <sf...@salesforce.com>
Subject RE: Axis 1.1 Vs Axis 1.2
Date Tue, 16 Aug 2005 17:33:06 GMT
With the exception of the built in error codes, Axis 1.1 can return a
number of soap faults that are not WS-I BP compliant (because the fault
code uses the . notation). 

Cheers
Simon

-----Original Message-----
From: Anne Thomas Manes [mailto:atmanes@gmail.com] 
Sent: Tuesday, August 16, 2005 6:51 AM
To: axis-user@ws.apache.org
Subject: Re: Axis 1.1 Vs Axis 1.2

Yes, you can build WS-I BP compliant services with Axis 1.1, but it can
be tricky. Axis 1.2 is probably a better bet.

Anne

On 8/16/05, James Wilson <wilsonj@ociweb.com> wrote:
> It can be.  I have created a document/literal web services that passes

> all of the WS-I basic profile tests.  We start with a WSDL, then 
> generate java via an ANT build process, and implement the service
'BindingImpl' classes.
> 
> I have only now just begun looking at Axis 1.2.  It won't be ready for

> my production deployment this fall so we are planning on releasing 
> with Axis 1
> 
> Hope it helps,
> -james
> 
> 
> Quoting raj.x.arunmugan@jpmchase.com:
> 
> > Hello,
> >
> > I am new to Axis.  Could anyone let me know if  Axis 1.1 fully 
> > compatible with WS-I  BP?  Is it good to use?  what benefits Axis 
> > 1.2 it offers compared  to Axis 1.1.
> >
> >
> > Sorry I don't have access to Internet so I had to send this mail.  
> > Just few hints would help me a lot.
> >
> > Your help is highly appreciated!
> >
> > Raj
> >
> >
>



Mime
View raw message